Search Unity

  1. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice

Package Manager 2D Animation and 2d IK package for 2019.1 beta

Discussion in '2D' started by MisterSkitz, Dec 5, 2018.

  1. MisterSkitz

    MisterSkitz

    Joined:
    Sep 2, 2015
    Posts:
    833
    Greetings,

    I'm looking for the 2D animation package and the IK package, and wouldn't mind the pixel perfect and 2D spriteShape as well. However, I clicked Window>Package Manager but don't see any of these available. Very depressing! :(

    Does anyone know how or where I can get these packs?

    (Below) This is all I see in the Package Manager Package-Manager-No-2DAnimationPack.jpg
     
  2. MisterSkitz

    MisterSkitz

    Joined:
    Sep 2, 2015
    Posts:
    833
    Ok, had to click on Advanced>Preview Packages> And accept the terms for viewing preview packages.

    For anyone that may have the same problem lol smh
     
  3. Chizel

    Chizel

    Joined:
    Dec 29, 2018
    Posts:
    9
    Thank you for posting this. I was starting to get annoyed.
     
    MisterSkitz likes this.
  4. Leo-Yaik

    Leo-Yaik

    Unity Technologies

    Joined:
    Aug 13, 2014
    Posts:
    307
    Thanks for catching that. We will include it in our original post in case it's not already there.
     
    MisterSkitz and Chizel like this.
  5. MisterSkitz

    MisterSkitz

    Joined:
    Sep 2, 2015
    Posts:
    833
    I wasn't actually able to use these packages because from the time it installed, I got a HUGE series of red errors in my console claiming NullReference to variables associated with the packages. Does anyone happen to have the same issue? And how do I resolve this issue? I am using 2019.1.1a, and I'm seriously considering a lesser version, yet newest released version. (I think it's 2018.3.16?)

    Basically, I wanted to try out 2019 because it supposedly has build in JDK/SDK (Which it offers to install upon download and I did) however, the android platform still say's that it is unable to locate the JDK/SDK files. Yet another issue that I'd like to resolve.

    So if anyone can point me into the correct forum to post the question, or can link me to any useful related areas to where this has been resolved, I'll forever be grateful!
     
  6. superpaulo

    superpaulo

    Joined:
    Sunday
    Posts:
    1
unityunity